<div id="storefront" class="px-3">
  <div class="flex items-center">
    <p class="mb-0 font-medium text-gray-500">
      Settings
    </p>
    <v-icon class="mx-3">
      mdi-chevron-right
    </v-icon>
    <p class="mb-0 font-medium text-gray-500">
      Storefront
    </p>
    <v-icon class="mx-3">
      mdi-chevron-right
    </v-icon>
    <p class="mb-0 font-medium ">
      {{domain && domain.domainId && domain.domainId.domain}}
    </p>
  </div>
  <div class="mt-3 flex items-center justify-between">
    <nuxt-link to="/admin/settings/storefront">
      <div class="flex item-center">
        <v-icon color="#111827">
          mdi-arrow-left
        </v-icon>
        <p class="mb-0 ml-8 text-lg text-neutral-900 font-semibold">
          Edit Domain
        </p>
      </div>
    </nuxt-link>
    <v-btn color="#3B82F6" class="elevation-0" @click="onSave()">
      <v-progress-circular v-if="loading" size="18" indeterminate color="#076CE3">
      </v-progress-circular>
      <div class="flex items-center" v-else>
        <v-icon color="#FFFFFF">
          mdi-content-save
        </v-icon>
        <p class="mb-0 ml-2 text-white capitalize">
          Save Changes
        </p>
      </div>
    </v-btn>
  </div>
  <div class="mt-3" id="hideBottomInput">
    <v-card class="elevation-0 p-4">
      <p class="mb-0 font-semibold text-neutral-900">
        Advenced Settings
      </p>
      <div class="grid grid-cols-12 mt-2">
        <div class="col-span-12 md:col-span-6">
          <div class="flex items-cente justify-between">
            <p class="mb-0 text-sm font-normal text-neutral-900">
              Using Random Sell pages
            </p>
            <v-switch dense inset class="mt-0" v-model="domain.isRandomProduct"></v-switch>
          </div>
        </div>
      </div>
      <div class="mt-3">
        <v-tabs v-model="tab">
          <v-tab>
            <p class="mb-0 capitalize">
              Top Description
            </p>
          </v-tab>
          <v-tab>
            <p class="mb-0 capitalize">
              Middle Description
            </p>
          </v-tab>
          <v-tab>
            <p class="mb-0 capitalize">
              Meta Description
            </p>
          </v-tab>
        </v-tabs>
        <v-divider></v-divider>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <v-card flat class="mt-2">
              <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="domain.topDesc"
                :content.sync="domain.topDesc" :resetContent.sync="resetContent" />
            </v-card>
          </v-tab-item>
          <v-tab-item>
            <v-card flat class="mt-2">
              <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="domain.middleDesc"
                :content.sync="domain.middleDesc" :resetContent.sync="resetContent" />
            </v-card>
          </v-tab-item>
          <v-tab-item>
            <v-card flat class="mt-2">
              <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="domain.metaDesc"
                :content.sync="domain.metaDesc" :resetContent.sync="resetContent" />
            </v-card>
          </v-tab-item>
        </v-tabs-items>
      </div>
      <v-divider class="my-3"></v-divider>
      <p class="mb-0 font-semibold text-neutral-900">
        Media
      </p>
      <div class="mt-2 bg-gray-200 rounded p-0.5" style="min-height: 206px">
        <v-row no-gutters class="h-full">
          <v-col cols="12" sm="2" v-for="(image,i) in listCoverId" :key="i">
            <div class="border border-dashed border-[#E5E7EB] bg-white rounded h-full flex items-center justify-center">
              <img :src="convertImage(image.imageUrl)" alt="" style="width: 100%; height: 201px" class="rounded"
                v-if="image && image.imageUrl">
            </div>
          </v-col>
          <v-col cols="12" sm="2" class="c-pointer">
            <div
              class="border border-dashed border-[#E5E7EB] bg-white rounded flex items-center justify-center h-[201px] w-full"
              @click="onSelectMultipleImage()">
              <p class="mb-0 text-sm text-neutral-900">
                Add Image
              </p>
            </div>
          </v-col>
        </v-row>
      </div>
      <v-divider class="my-3"></v-divider>
      <div>
        <p class="mb-0 font-semibold text-neutral-900">
          Authenticate Your Domain For Email
        </p>
        <p class="text-sm mb-0 mt-2 text-neutral-900">
          Make sure you have enter correct information to Verify “example@gmail.com” as your domain support email.
        </p>
        <div class="mt-6">
          <v-simple-table class="scrollTable c-pointer" fixed-header
            v-if="domain.domainId && domain.domainId.verifyEmailInfo">
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="table-head">
                    <div class="d-flex align-center">
                      <p class="mb-0 captionOverline colorGreyHeaderTable">
                        Status
                      </p>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div>
                      <p class="mb-0 captionOverline colorGreyHeaderTable">
                        Type
                      </p>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div>
                      <p class="mb-0 captionOverline colorGreyHeaderTable">
                        Host
                      </p>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div>
                      <p class="mb-0 captionOverline colorGreyHeaderTable">
                        Value
                      </p>
                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(data,i) in domain.domainId.verifyEmailInfo">
                  <td class="py-3">
                    <p class="mb-0 text-sm text-red-500" v-if="!data.valid">
                      Failed
                    </p>
                    <p class="mb-0 text-sm text-green-500" v-if="data.valid">
                      Verified
                    </p>
                  </td>
                  <td class="py-3">
                    <p class="mb-0 text-sm text-neutral-900">
                      {{data.type}}
                    </p>
                  </td>
                  <td class="py-3">
                    <div class="flex items-center">
                      <p class="mb-0 text-sm text-neutral-900 font-semibold" style="width: 245px">
                        {{data.host}}
                      </p>
                      <v-btn style="height: 24px; min-width: 24px !important" color="#DBE0E5" small
                        class="ml-2 px-0 elevation-0" @click="onCopyText(data.host)">
                        <v-icon color="#000000" size="14">
                          mdi-content-copy
                        </v-icon>
                      </v-btn>
                    </div>
                  </td>
                  <td class="py-3">
                    <div class="flex items-center">
                      <p class="mb-0 text-sm text-neutral-900" style="width: 300px">
                        {{data.value}}
                      </p>
                      <v-btn style="height: 24px; min-width: 24px !important" color="#DBE0E5" small
                        class="ml-2 px-0 elevation-0" @click="onCopyText(data.value)">
                        <v-icon color="#000000" size="14">
                          mdi-content-copy
                        </v-icon>
                      </v-btn>
                    </div>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
        </div>
      </div>
      <v-divider class="my-3"></v-divider>
      <div>
        <p class="mb-0 font-semibold text-neutral-900">
          Homepage Layout
        </p>
        <div class="mt-2">
          <v-row no-gutters>
            <v-col cols="12">
              <v-row no-gutters>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Store Name
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-text-field dense outlined placeholder="Enter store name" v-model="domain.homepageName">
                  </v-text-field>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Store Title
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-text-field dense outlined placeholder="Enter store title" v-model="domain.homepageTitle">
                  </v-text-field>
                </v-col>
                <!-- <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Limit Product
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-text-field dense outlined placeholder="Enter limit product" v-model="domain.limitProduct">
                  </v-text-field>
                </v-col> -->
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Address
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="domain.address"
                    :content.sync="domain.address" :resetContent.sync="resetContent" />
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Logo
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <div style="width: 216px; height: 216px"
                    class="border border-dashed border-[#E5E7EB] rounded cursor-pointer" @click="onSelectImage()">
                    <div class=" flex items-center justify-center h-full">
                      <div v-if="imageUrl">
                        <img :src="convertImage(imageUrl)" alt="">
                      </div>
                      <div v-else>
                        <p class="mb-0 text-sm text-neutral-900">
                          Add Image
                        </p>
                      </div>
                    </div>
                  </div>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Text
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <input type="color" id="favcolor" name="favcolor" v-model="domain.textColor"
                    class="w-full h-10"><br><br>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Background Header
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <input type="color" id="favcolor" name="favcolor" v-model="domain.headerColor"
                    class="w-full h-10"><br><br>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Background
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <input type="color" id="favcolor" name="favcolor" v-model="domain.backgroundColor"
                    class="w-full h-10"><br><br>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </div>
      </div>
      <div class="mt-24">
        <v-divider class="my-3"></v-divider>
        <p class="mb-0 font-semibold text-neutral-900">
          Configure & Analytics
        </p>
        <div class="mt-2">
          <v-row no-gutters>
            <v-col cols="12">
              <v-row no-gutters>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Policy Version
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-select dense outlined :items="listPayment" item-text="name" item-value="_id"
                    v-model="domain.paymentId" placeholder="Enter payment"></v-select>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Phone Number
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-text-field dense outlined placeholder="Enter phone number" v-model="domain.phone"></v-text-field>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Email Support
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-text-field dense outlined placeholder="Enter email support" v-model="domain.supportEmail">
                  </v-text-field>
                </v-col>
                <v-col cols="12" sm="2" class="mt-sm-3">
                  <p class="mb-0 mt-3 text-sm text-neutral-900 font-semibold">
                    Google Analytic ID
                  </p>
                </v-col>
                <v-col cols="12" sm="10" class="mt-3">
                  <v-textarea dense outlined placeholder="Enter ga" v-model="domain.googleAnalyticId"></v-textarea>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </div>
      </div>
    </v-card>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogMediaPicker" max-width="1200px">
      <v-card class="pa-0 ">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Choose Photo
          </p>
          <v-btn color="#949494" @click="dialogMediaPicker  = false" icon small>
            <v-icon color="#949494" size="20">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div>
          <MediaPicker :isShowUploadPhoto="true" :limitImage="limitImage" :dialogMediaPicker.sync="dialogMediaPicker"
            :imageAdd.sync="imageAdd" :tiptapWord.sync="tiptapWord" :isImageVariant.sync="isImageVariant"
            :isSelectMultipleImage.sync="isSelectMultipleImage" />
        </div>
        <div class="d-flex align-center justify-space-between" style="height: 76px;">
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
